[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# fmShareDenyWrite

Lock file so other processes can only read.

## Declaration

Source position: filutilh.inc line 155

`const fmShareDenyWrite = $0020;`

## Description

fmOpenShareDenyWrite is used in the FileOpen call OR-ed together with one of fmOpenReadWrite, fmOpenRead or fmOpenWrite, to open a file so other processes cannot write to it, they can only read.

## See also

FileOpen |  | Open an existing file and return a file handle